/[gentoo-x86]/www-apps/moodle/moodle-2.1.7.ebuild
Gentoo

Diff of /www-apps/moodle/moodle-2.1.7.ebuild

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.2 Revision 1.3
1# Copyright 1999-2012 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/Attic/moodle-2.1.7.ebuild,v 1.2 2012/07/11 23:00:12 blueness Exp $ 3# $Header: /var/cvsroot/gentoo-x86/www-apps/moodle/Attic/moodle-2.1.7.ebuild,v 1.3 2012/08/24 10:22:46 blueness Exp $
4 4
5EAPI="4" 5EAPI="4"
6 6
7inherit versionator webapp 7inherit versionator webapp
8 8
29PHP_REQUIRED_FLAGS_53="ctype,curl,iconv,json,session,simplexml,xml,zip" 29PHP_REQUIRED_FLAGS_53="ctype,curl,iconv,json,session,simplexml,xml,zip"
30PHP_OPTIONAL_FLAGS_53="gd,intl,soap,ssl,tokenizer,xmlrpc" 30PHP_OPTIONAL_FLAGS_53="gd,intl,soap,ssl,tokenizer,xmlrpc"
31PHP_FLAGS_53="${PHP_REQUIRED_FLAGS_53},${PHP_OPTIONAL_FLAGS_53}" 31PHP_FLAGS_53="${PHP_REQUIRED_FLAGS_53},${PHP_OPTIONAL_FLAGS_53}"
32 32
33IUSE="${DB_TYPES} ${AUTHENTICATION_MODES} vhosts" 33IUSE="${DB_TYPES} ${AUTHENTICATION_MODES} vhosts"
34REQUIRED_USE="|| ( ${DB_TYPES} )"
34 35
35# No forced dependency on 36# No forced dependency on
36# mysql? ( virtual/mysql ) 37# mysql? ( virtual/mysql )
37# postgres? ( dev-db/postgresql-server-7* ) 38# postgres? ( dev-db/postgresql-server-7* )
38# which may live on another server 39# which may live on another server
53 MYDB=${db} 54 MYDB=${db}
54 DB_COUNT=$(($DB_COUNT+1)) 55 DB_COUNT=$(($DB_COUNT+1))
55 fi 56 fi
56 done 57 done
57 58
59 # REQUIRED_USE above guarantees that ${DB_COUNT} cannot be zero
58 if [[ ${DB_COUNT} -eq 0 ]]; then 60 #if [[ ${DB_COUNT} -eq 0 ]]; then
59 eerror 61 # eerror
60 eerror "\033[1;31m**************************************************\033[00m" 62 # eerror "\033[1;31m**************************************************\033[00m"
61 eerror "No database selected in your USE flags," 63 # eerror "No database selected in your USE flags,"
62 eerror "You must select at least one." 64 # eerror "You must select at least one."
63 eerror "\033[1;31m**************************************************\033[00m" 65 # eerror "\033[1;31m**************************************************\033[00m"
64 eerror 66 # eerror
65 die 67 # die
66 fi 68 #fi
67 69
68 if [[ ${DB_COUNT} -gt 1 ]]; then 70 if [[ ${DB_COUNT} -gt 1 ]]; then
69 MYDB="" 71 MYDB=""
70 ewarn 72 ewarn
71 ewarn "\033[1;33m**************************************************\033[00m" 73 ewarn "\033[1;33m**************************************************\033[00m"

Legend:
Removed from v.1.2  
changed lines
  Added in v.1.3

  ViewVC Help
Powered by ViewVC 1.1.20